RN.PARAMS.push({
	"FromExtension" 			: "",
	"FromExtension_DESC"		: "将要被替换的后缀名",
		
	"ToExtension"				: "",
	"ToExtension_DESC"			: "替换到的后缀名"
});

RN.RULES.push(function(filePath, isFile, params)
{
	if (!isFile)
		return "";
	
	var ex = RN.GetFileExtension(filePath).toUpperCase();
	if (ex != params["FromExtension"].toUpperCase())
		return "";
	
	var fileName = RN.GetFileNameWithoutEx(filePath);
	var newFileName;
	if (params["ToExtension"] != "")
		newFileName = fileName + "." + params["ToExtension"];
	else
		newFileName = fileName;

	var newFilePath = RN.GetPath(filePath) + "\\" + newFileName;
	
	return newFilePath;
});